# Poco

# class DeflatingIOS

Library: Foundation
Package: Streams
Header: Poco/DeflatingStream.h

## Description

The base class for DeflatingOutputStream and DeflatingInputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: DeflatingOutputStream, DeflatingInputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### DeflatingIOS

DeflatingIOS(
std::ostream & ostr,
DeflatingStreamBuf::StreamType type = DeflatingStreamBuf::STREAM_ZLIB,
int level = (- 1)
);

### DeflatingIOS

DeflatingIOS(
std::istream & istr,
DeflatingStreamBuf::StreamType type = DeflatingStreamBuf::STREAM_ZLIB,
int level = (- 1)
);

## Destructor

### ~DeflatingIOS

~DeflatingIOS();

## Member Functions

### rdbuf

DeflatingStreamBuf * rdbuf();

## Variables

### _buf

DeflatingStreamBuf _buf;